Bug 72198 - Update port: mail/mailgraph
Summary: Update port: mail/mailgraph
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-09-30 14:50 UTC by Gea-Suan Lin
Modified: 2004-10-12 00:00 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (853 bytes, patch)
2004-09-30 14:50 UTC, Gea-Suan Lin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gea-Suan Lin 2004-09-30 14:50:13 UTC
	Use ${WWWOWN} & ${WWWGRP} (predefined in bsd.port.mk) instead of
	www & www.
Comment 1 Ceri Davies freebsd_committer 2004-10-01 20:41:56 UTC
Adding to audit trail, from misfiled PR ports/72201:

Date: Thu, 30 Sep 2004 22:51:09 +0800
From: Rong-En Fan <rafan@infor.org>
Message-Id: <20040930145109.GA6015@svm.csie.ntu.edu.tw>
References: <20040930134333.B7F69266@netnews.NCTU.edu.tw>

 looks good, but there is a missing ) after ${WWWGRP} 
 
 +	@${ECHO_MSG} "MAILGRAPH_GROUP=www			Group to run mailgraph (Default: ${WWWGRP}"
 
 please commit it with the fix above.
 
 Rong-En Fan, maintainer
 
 On Thu, Sep 30, 2004 at 09:43:33PM +0800, Gea-Suan Lin wrote:
 > 
 > >Submitter-Id:	current-users
 > >Originator:	Gea-Suan Lin
 > >Organization:	
 > >Confidential:	no 
 > >Synopsis:	Update port: mail/mailgraph
 > >Severity:	non-critical
 > >Priority:	low
 > >Category:	ports
 > >Class:		change-request
 > >Release:	FreeBSD 4.10-RELEASE-p2 i386
 > >Environment:
 > System: FreeBSD netnews.NCTU.edu.tw 4.10-RELEASE-p2 FreeBSD 4.10-RELEASE-p2 #0: Tue Aug 10 21:24:00 CST 2004 root@netnews.NCTU.edu.tw:/da1/usr.obj/da0/usr.src/sys/NETNEWS i386
 > 
 > 
 > 	
 > >Description:
 > 	Use ${WWWOWN} & ${WWWGRP} (predefined in bsd.port.mk) instead of
 > 	www & www.
 > 	
 > >How-To-Repeat:
 > 	
 > >Fix:
 > 
 > diff -ruN /usr/ports/mail/mailgraph/Makefile mailgraph/Makefile
 > --- /usr/ports/mail/mailgraph/Makefile	Wed Jul 14 03:14:13 2004
 > +++ mailgraph/Makefile	Thu Sep 30 21:40:37 2004
 > @@ -20,8 +20,8 @@
 >  NO_BUILD=	yes
 >  
 >  DATADIR?=	/var/db/mailgraph
 > -MAILGRAPH_USER?=	www
 > -MAILGRAPH_GROUP?=	www
 > +MAILGRAPH_USER?=	${WWWOWN}
 > +MAILGRAPH_GROUP?=	${WWWGRP}
 >  
 >  USE_REINPLACE=	yes
 >  USE_RC_SUBR=	yes
 > @@ -37,8 +37,8 @@
 >  	@${ECHO_MSG} "You may set following options:"
 >  	@${ECHO_MSG}
 >  	@${ECHO_MSG} "DATADIR=/var/db/mailgraph		Where do you put RRD databases?"
 > -	@${ECHO_MSG} "MAILGRAPH_USER=www			User to run mailgraph"
 > -	@${ECHO_MSG} "MAILGRAPH_GROUP=www			Group to run mailgraph"
 > +	@${ECHO_MSG} "MAILGRAPH_USER=www			User to run mailgraph (Default: ${WWWOWN})"
 > +	@${ECHO_MSG} "MAILGRAPH_GROUP=www			Group to run mailgraph (Default: ${WWWGRP}"
 >  	@${ECHO_MSG}
 >  
 >  post-patch:
 > 	
 > 
 >
Comment 2 Pav Lucistnik freebsd_committer 2004-10-01 21:25:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Poke.
Comment 3 Pav Lucistnik freebsd_committer 2004-10-12 00:00:23 UTC
State Changed
From-To: open->closed

Committed, thanks!